Bug 861330 - [US2597][fork]Will output stack trace error while creating app in MacOS, Ubuntu12, Windows7, RHEL6.3
[US2597][fork]Will output stack trace error while creating app in MacOS, U...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
1.x
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 03:56 EDT by Xiaoli Tian
Modified: 2012-11-06 13:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaoli Tian 2012-09-28 03:56:16 EDT
Description of problem:
If creating scaling or non-scaling  app in MacOS, Ubuntu12, Windows7, RHEL6.3, it will output  errors, but it works in Fedora17, see detail in actual results below


Version-Release number of selected component (if applicable):
rhc in fork_ami_US2597_US2599_US2813_US2817_US2872_173

How reproducible:
Always

Steps to Reproduce:
1.Create app on MacOS&Ruby-1.8 &git 1.7.8.4, Ubuntu12&ruby-1.8 &git 1.7.9.5, RHEL6.3&ruby-1.8& git 1.7.1 with command: rhc app create app1 php-5.3 
2.Create app on Windows7 & Ruby1.9 & Git 1.7.11 
3.Create app on Fedora17&ruby-1.9&git version 1.7.10.1
  
Actual results:
1) Errors in  MacOS&Ruby-1.8 &git 1.7.8.4, Ubuntu12&ruby-1.8 &git 1.7.9.5, RHEL6.3&ruby-1.8& git 1.7.1 


OpenShiftmatoMacBook-Pro:test OpenShift$ rhc app create php1 php-5.3
Password: **

Creating application 'php1'
===========================

  Namespace: wsunfull
  Cartridge: php-5.3
  Scaling:   no
  Gear Size: default

Your application's domain name is being propagated worldwide (this might take a minute)...
Cloning into 'php1'...
/Library/Ruby/Gems/1.8/gems/rhc-0.99.3/lib/rhc/git_helper.rb:41:in `git_clone_repo': undefined method `value' for nil:NilClass (NoMethodError)
    from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/open3.rb:86:in `popen3'
    from /Library/Ruby/Gems/1.8/gems/rhc-0.99.3/lib/rhc/git_helper.rb:37:in `git_clone_repo'
    from /Library/Ruby/Gems/1.8/gems/rhc-0.99.3/lib/rhc/helpers.rb:216:in `call'
    from /Library/Ruby/Gems/1.8/gems/rhc-0.99.3/lib/rhc/helpers.rb:216:in `section'
    from /Library/Ruby/Gems/1.8/gems/rhc-0.99.3/lib/rhc/helpers.rb:233:in `paragraph'
    from /Library/Ruby/Gems/1.8/gems/rhc-0.99.3/lib/rhc/git_helper.rb:36:in `git_clone_repo'
    from /Library/Ruby/Gems/1.8/gems/rhc-0.99.3/lib/rhc/commands/app.rb:312:in `run_git_clone'
    from /Library/Ruby/Gems/1.8/gems/rhc-0.99.3/lib/rhc/commands/app.rb:83:in `create'
    from /Library/Ruby/Gems/1.8/gems/rhc-0.99.3/lib/rhc/commands.rb:103:in `send'
    from /Library/Ruby/Gems/1.8/gems/rhc-0.99.3/lib/rhc/commands.rb:103:in `to_commander'
    from /Library/Ruby/Gems/1.8/gems/commander-4.1.2/lib/commander/command.rb:180:in `call'
    from /Library/Ruby/Gems/1.8/gems/commander-4.1.2/lib/commander/command.rb:180:in `call'
    from /Library/Ruby/Gems/1.8/gems/commander-4.1.2/lib/commander/command.rb:155:in `run'
    from /Library/Ruby/Gems/1.8/gems/commander-4.1.2/lib/commander/runner.rb:402:in `run_active_command'
    from /Library/Ruby/Gems/1.8/gems/rhc-0.99.3/lib/rhc/command_runner.rb:34:in `run!'
    from /Library/Ruby/Gems/1.8/gems/commander-4.1.2/lib/commander/delegates.rb:7:in `run!'
    from /Library/Ruby/Gems/1.8/gems/rhc-0.99.3/lib/rhc/cli.rb:40:in `start'
    from /Library/Ruby/Gems/1.8/gems/rhc-0.99.3/bin/rhc:21
    from /usr/bin/rhc:23:in `load'
    from /usr/bin/rhc:23


2) Errors in Windows7 & Ruby1.9 & Git 1.7.11 are like following:

Creating application 'php1'
===========================
 
  Namespace: bmengdev
  Cartridge: php-5.3
  Gear Size: default
  Scaling:   no
 
Your application's domain name is being propagated worldwide (this might take a minute)...
Cloning into 'php1'...
done
 Error while adding config values to git - error: wrong number of arguments
usage: git config [options]
 Config file location
    --global              use global config file
    --system              use system config file
    --local               use repository config file
    -f, --file <file>     use given config file
 
Action
    --get                 get value: name [value-regex]
    --get-all             get all values: key [value-regex]
    --get-regexp          get values for regexp: name-regex [value-regex]
    --replace-all         replace all matching variables: name value [value_regex]
    --add                 adds a new variable: name value
    --unset               removes a variable: name [value-regex]
    --unset-all           removes all matches: name [value-regex]
    --rename-section      rename section: old-name new-name
    --remove-section      remove a section: name
    -l, --list            list all
    -e, --edit            opens an editor
    --get-color <slot>    find the color configured: [default]
    --get-colorbool <slot>
                          find the color setting: [stdout-is-tty]
Type
    --bool                value is "true" or "false"
    --int                 value is decimal number
    --bool-or-int         value is --bool or --int
    --path                value is a path (file or directory name)
 
Other
    -z, --null            terminate values with NUL byte
    --includes            respect include directives on lookup
 
 
C:/ruby193/lib/ruby/gems/1.9.1/gems/rhc-0.99.3/lib/rhc/commands/app.rb:380:in `run_nslookup': undefined local variable o
r method `rest_app' for #<RHC::Commands::App:0x25b9b40> (NameError)
        from C:/ruby193/lib/ruby/gems/1.9.1/gems/rhc-0.99.3/lib/rhc/commands/app.rb:393:in `windows_nslookup_bug?'
        from C:/ruby193/lib/ruby/gems/1.9.1/gems/rhc-0.99.3/lib/rhc/commands/app.rb:86:in `rescue in create'
        from C:/ruby193/lib/ruby/gems/1.9.1/gems/rhc-0.99.3/lib/rhc/commands/app.rb:82:in `create'
        from C:/ruby193/lib/ruby/gems/1.9.1/gems/rhc-0.99.3/lib/rhc/commands.rb:103:in `block (3 levels) in to_commander'
        from C:/ruby193/lib/ruby/gems/1.9.1/gems/commander-4.1.2/lib/commander/command.rb:180:in `call'
        from C:/ruby193/lib/ruby/gems/1.9.1/gems/commander-4.1.2/lib/commander/command.rb:180:in `call'
        from C:/ruby193/lib/ruby/gems/1.9.1/gems/commander-4.1.2/lib/commander/command.rb:155:in `run'
        from C:/ruby193/lib/ruby/gems/1.9.1/gems/commander-4.1.2/lib/commander/runner.rb:402:in `run_active_command'
        from C:/ruby193/lib/ruby/gems/1.9.1/gems/rhc-0.99.3/lib/rhc/command_runner.rb:34:in `run!'
        from C:/ruby193/lib/ruby/gems/1.9.1/gems/commander-4.1.2/lib/commander/delegates.rb:11:in `run!'
        from C:/ruby193/lib/ruby/gems/1.9.1/gems/rhc-0.99.3/lib/rhc/cli.rb:40:in `start'
        from C:/ruby193/lib/ruby/gems/1.9.1/gems/rhc-0.99.3/bin/rhc:21:in `<top (required)>'
        from C:/Ruby193/bin/rhc:23:in `load'
        from C:/Ruby193/bin/rhc:23:in `<main>'  

3. It works on Fedora17&ruby-1.9&git version 1.7.10.1

[root@F17x64-openshift rhc]# git --version
git version 1.7.10.1
[root@F17x64-openshift rhc]# rhc app create app2 python-2.6 -s -l xtian+t5@redhat.com 
Password: *

Creating application 'app2'
===========================

  Namespace: domx5
  Cartridge: python-2.6
  Gear Size: default
  Scaling:   yes

Your application's domain name is being propagated worldwide (this might take a minute)...
The authenticity of host 'app2-domx5.dev.rhcloud.com (50.17.163.18)' can't be established.
RSA key fingerprint is 71:92:68:7d:19:dc:2e:de:8f:e5:83:92:f9:1b:95:a5.
Are you sure you want to continue connecting (yes/no)? yes
Cloning into 'app2'...
done

RESULT:
Application app2 was created.

Expected results:

It could create app successfully on MacOS, Windows7, Ubuntu, RHEL6.3 without error as well.

Additional info:
The app is actually created successfully, just output a lot of stack trace
Comment 1 Xiaoli Tian 2012-09-29 03:57:52 EDT
It seems fixed, move it to ON_QA to verify it against fork_ami_US2597_US2599_US2813_US2817_US2872_186
Comment 2 Rony Gong 2012-09-29 04:06:57 EDT
Verified on fork_ami_US2597_US259...US2817_US2872_186
OpenShiftmatoMacBook-Pro:rhc root# rhc app create -n qgong11 -a qsru922 -t ruby-1.9 -s  -r ~/rhc/redmine2
Creating application 'qsru922'
==============================

  Namespace: qgong11
  Cartridge: ruby-1.9
  Scaling:   yes
  Gear Size: default

Password: 

Your application's domain name is being propagated worldwide (this might take a minute)...
Cloning into '/var/root/rhc/redmine2'...
done

RESULT:
Application qsru922 was created.
Comment 3 Rony Gong 2012-09-29 04:27:20 EDT
Verified on fork_ami_US2597_US259...US2817_US2872_186
Ubuntu&ruby-1.8
openshift@openshift-ubuntu:~/rhc$ rhc app create qsjboss jbossas-7 -s
Creating application 'qsjboss'
==============================

  Scaling:   yes
  Gear Size: default
  Namespace: qgong12
  Cartridge: jbossas-7

Your application's domain name is being propagated worldwide (this might take a minute)...
RESULT:
Application qsjboss was created.

Win7&ruby-19
$rhc app create qs2jboss jbossas-7 -s
Creating application 'qsjboss'
==============================

  Scaling:   yes
  Gear Size: default
  Namespace: qgong12
  Cartridge: jbossas-7

Your application's domain name is being propagated worldwide (this might take a minute)...
RESULT:
Application qs2jboss was created.

RHEL6.3&ruby-1.8
[qgong@localhost dev]$ rhc app create qs3perl perl-5.10 -s
Password: 

Creating application 'qs3perl'
==============================

  Scaling:   yes
  Cartridge: perl-5.10
  Namespace: qgong11
  Gear Size: default

Your application's domain name is being propagated worldwide (this might take a minute)...
Initialized empty Git repository in /home/qgong/mytest/dev/qs3perl/.git/
done

RESULT:
Application qs3perl was created.

Note You need to log in before you can comment on or make changes to this bug.